[linux-libre] Conflicts with [linux], making it hard for Arch users to try it out
2015-06-30 05:13 AM - lukeshu

Status: fixed % Done: 100%
Priority: bug

Assignee:

Category:

Description

Inspired by this Reddit thread: https://www.reddit.com/r/archlinux/comments/3bitnu/any_complications_if_i_run_linuxlibre/

If an Arch user wants to install [linux-libre] side-by-side with [linux], to try it out, there is no reason why they shouldn't be able to do
that. However, currently, linux-libre conflicts=(linux), meaning that we've artificially made it harder.

Of course, the reason we do that is because of the goal that a Parabola system with your-freedom installed conflicts with all non-free
packages from Arch. your-freedom can't conflict with linux directly, because that would also conflict with packages that
provide=(linux), including linux-libre! So, the solution has been to have the replacing package conflict with the Arch version.

One solution might be to remove the conflicts=(linux) from the version posted to AUR, but leave it in the Parabola version. | don't like
that, it's inelegant, increases developer overhead, and also means that prospective users can't just get our binary.

| believe a similar situation is happening with iceweasel/firefox, but I'd have to check.

History

#1 - 2015-06-30 08:47 AM - Anonymous
- Assignee set to Anonymous

- Status changed from open to in progress

lukeshu wrote:

One solution might be to remove the conflicts=(linux) from the version posted to AUR, but leave it in the Parabola version. |don't like that, it's
inelegant, increases developer overhead, and also means that prospective users can't just get our binary.

| don't like that solution too, but that's the way to solve this issue for them.

#2 - 2015-07-04 07:17 PM - Anonymous
- % Done changed from 0 to 100

- Status changed from in progress to fixed
